Name:           python-cvxpy-base
Version:        1.6.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A domain-specific language for modeling convex optimization problems in Python.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/cvxpy/cvxpy
Source:         %{pypi_source cvxpy_base}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cvxpy-base' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cvxpy-base
Summary:        %{summary}

%description -n python3-cvxpy-base %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-cvxpy-base cbc,clarabel,cvxopt,daqp,diffcp,doc,ecos,ecos-bb,glop,glpk,glpk-mi,gurobi,highs,mosek,osqp,pdlp,piqp,proxqp,qoco,scip,scipy,scs,testing,xpress


%prep
%autosetup -p1 -n cvxpy_base-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x cbc,clarabel,cvxopt,daqp,diffcp,doc,ecos,ecos-bb,glop,glpk,glpk-mi,gurobi,highs,mosek,osqp,pdlp,piqp,proxqp,qoco,scip,scipy,scs,testing,xpress


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cvxpy-base -f %{pyproject_files}


%changelog
%autochangelog